Velocity Reviews - Computer Hardware Reviews

Velocity Reviews > Newsgroups > Programming > Ruby > Can't run freeride

Reply
Thread Tools

Can't run freeride

 
 
ronaldc@juno.com
Guest
Posts: n/a
 
      02-20-2005
Hi,
I downloaded the one-click installer ruby182-14 for windows. It
installs ok but freeride.rb will not run, neither from the start menu
or from the bat files. The runw.bat just opens a dos window and runs
the bat file but nothing happens. The run.bat runs the dos window the
flips thru lots of lines on screen so fast i can't read them but they
say something like "Failing to load" & "failing to start" the various
files needed. I am on windows 95, Can anyone help me?
Thanks
Ronald

 
Reply With Quote
 
 
 
 
Curt Hibbs
Guest
Posts: n/a
 
      02-20-2005
http://www.velocityreviews.com/forums/(E-Mail Removed) wrote:
>
> Hi,
> I downloaded the one-click installer ruby182-14 for windows. It
> installs ok but freeride.rb will not run, neither from the start menu
> or from the bat files. The runw.bat just opens a dos window and runs
> the bat file but nothing happens. The run.bat runs the dos window the
> flips thru lots of lines on screen so fast i can't read them but they
> say something like "Failing to load" & "failing to start" the various
> files needed. I am on windows 95, Can anyone help me?


I don't think its ever been tested on windows 95, but here's a few things
you could try:

1) Delete the freeride configation files (they'll be recreated). Open a dos
box and run the command "echo %USERPROFILE%", this will tell you where your
home directory is. In that directory there should be a subdirectory named
freeride -- delete the freeride directory. Now try running freeride.

2) Uninstall the one-click installer, delete the freeride directory as in
#1, and then reinstall the one-click installer. Now try running freeride.

3)Try running the stand-alone version of freeride. You can download the
installer here:
http://rubyforge.org/frs/?group_id=31

If none of the above help post you freeride log file and we'll see if it
contains any clues. You can find it at:

%USERPROFILE%\freeride\config\freeride.log

Be sure to delete the log first, then run freeride to get a log containing
only that freeride session.

It is possible, though, that freeride does not run on windows 95.

Curt



 
Reply With Quote
 
 
 
 
ronaldc@juno.com
Guest
Posts: n/a
 
      02-26-2005

Curt Hibbs wrote:
> (E-Mail Removed) wrote:
> >
> > Hi,
> > I downloaded the one-click installer ruby182-14 for windows. It
> > installs ok but freeride.rb will not run, neither from the start

menu
> > or from the bat files. The runw.bat just opens a dos window and

runs
> > the bat file but nothing happens. The run.bat runs the dos window

the
> > flips thru lots of lines on screen so fast i can't read them but

they
> > say something like "Failing to load" & "failing to start" the

various
> > files needed. I am on windows 95, Can anyone help me?

>
> I don't think its ever been tested on windows 95, but here's a few

things
> you could try:
>
> 1) Delete the freeride configation files (they'll be recreated). Open

a dos
> box and run the command "echo %USERPROFILE%", this will tell you

where your
> home directory is. In that directory there should be a subdirectory

named
> freeride -- delete the freeride directory. Now try running freeride.
>
> 2) Uninstall the one-click installer, delete the freeride directory

as in
> #1, and then reinstall the one-click installer. Now try running

freeride.
>
> 3)Try running the stand-alone version of freeride. You can download

the
> installer here:
> http://rubyforge.org/frs/?group_id=31
>
> If none of the above help post you freeride log file and we'll see if

it
> contains any clues. You can find it at:
>
> %USERPROFILE%\freeride\config\freeride.log
>
> Be sure to delete the log first, then run freeride to get a log

containing
> only that freeride session.
>
> It is possible, though, that freeride does not run on windows 95.
>
> Curt




I Tried the freeride installation that came with the one-click
installer, &
also Downloaded the freestanding version you mentioned. Both behaved
the
same way: The one-click installer has bat files to run the .rb version
and
the W version. The W version didn't create a log file at all. Below is
the
log file when the .rb version was run.

===============================
2005-02-26 10:18:49 :: [INFO] --- FreeRIDE Started on Sat Feb 26
10:18:32 Eastern Standard Time 2005
2005-02-26 10:18:49 :: [ERROR] Plugin(rubyide_fox_gui-appframe): Error
loading rubyide_fox_gui-appframe
1157: One of the library files needed to run this application cannot be
found. -
C:/RUBY/lib/ruby/gems/1.8/gems/fxruby-1.2.2-mswin32/ext/fox12/fox12.so
C:/RUBY/lib/ruby/gems/1.8/gems/fxruby-1.2.2-mswin32/ext/fox12/fox12.so
C:/RUBY/lib/ruby/site_ruby/1.8/rubygems/loadpath_manager.rb:5:in
`require'
C:/ruby/freeride/./plugins/rubyide_fox_gui/appframe.rb:17
C:/RUBY/lib/ruby/site_ruby/1.8/rubygems/loadpath_manager.rb:5:in
`require__'
C:/RUBY/lib/ruby/site_ruby/1.8/rubygems/loadpath_manager.rb:5:in
`require'
C:/ruby/freeride/freebase/lib/freebase/plugin.rb:187:in `load'
C:/ruby/freeride/freebase/lib/freebase/configuration.rb:68:in
`load_plugins'
C:/ruby/freeride/freebase/lib/freebase/core.rb:64:in `initialize'
C:/ruby/freeride/freebase/lib/freebase/core.rb:35:in `new'
C:/ruby/freeride/freebase/lib/freebase/core.rb:35:in `startup'
freeride.rb:77:in `startup'
freeride.rb:116
2005-02-26 10:18:49 :: [ERROR] Plugin(RRB): Error loading RRB
uninitialized constant FreeRIDE::RRB::Fox
C:/ruby/freeride/./plugins/rubyide_tools_rrb/rrb_plugin.rb:24
C:/RUBY/lib/ruby/site_ruby/1.8/rubygems/loadpath_manager.rb:5:in
`require__'
C:/RUBY/lib/ruby/site_ruby/1.8/rubygems/loadpath_manager.rb:5:in
`require'
C:/ruby/freeride/freebase/lib/freebase/plugin.rb:187:in `load'
C:/ruby/freeride/freebase/lib/freebase/configuration.rb:68:in
`load_plugins'
C:/ruby/freeride/freebase/lib/freebase/core.rb:64:in `initialize'
C:/ruby/freeride/freebase/lib/freebase/core.rb:35:in `new'
C:/ruby/freeride/freebase/lib/freebase/core.rb:35:in `startup'
freeride.rb:77:in `startup'
freeride.rb:116
2005-02-26 10:18:50 :: [INFO] Plugin(rubyide_gui-outputpane):
OutputPane plugin started


============================
When I loaded freeride.rb into Scite and run it, I got the following
output
(Which is the same stuff shown on the Dos screen).

=================================
>ruby freeride.rbto load: rubyide_fox_gui-appframe

Failing to load: rubyide_fox_gui-fox_services
Failing to load: rubyide_fox_gui
Failing to load: rubyide_tools_fox_source_browser
Failing to load: rubyide_tools_fox_script_runner
Failing to load: rubyide_tools_fox_file_browser
Failing to load: rubyide_tools_fox_databus_inspector
Failing to load: rubyide_tools_fox_configurator
Failing to load: rubyide_tools_fox_debugger
Failing to load: rubyide_tools_configurator
Failing to load: rubyide_tools_fox_configurator
Failing to load: rubyide_fox_gui-toolbar
Failing to load: rubyide_fox_gui
Failing to load: rubyide_tools_fox_source_browser
Failing to load: rubyide_tools_fox_script_runner
Failing to load: rubyide_tools_fox_file_browser
Failing to load: rubyide_tools_fox_databus_inspector
Failing to load: rubyide_tools_fox_configurator
Failing to load: rubyide_tools_fox_debugger
Failing to load: rubyide_tools_configurator
Failing to load: rubyide_tools_fox_configurator
Failing to load: rubyide_fox_gui-menubar
Failing to load: rubyide_fox_gui
Failing to load: rubyide_tools_fox_source_browser
Failing to load: rubyide_tools_fox_script_runner
Failing to load: rubyide_tools_fox_file_browser
Failing to load: rubyide_tools_fox_databus_inspector
Failing to load: rubyide_tools_fox_configurator
Failing to load: rubyide_tools_fox_debugger
Failing to load: rubyide_tools_configurator
Failing to load: rubyide_tools_fox_configurator
Failing to load: rubyide_fox_gui-editpane
Failing to load: rubyide_fox_gui
Failing to load: rubyide_tools_fox_source_browser
Failing to load: rubyide_tools_fox_script_runner
Failing to load: rubyide_tools_fox_file_browser
Failing to load: rubyide_tools_fox_databus_inspector
Failing to load: rubyide_tools_fox_configurator
Failing to load: rubyide_tools_fox_debugger
Failing to load: rubyide_tools_configurator
Failing to load: rubyide_tools_fox_configurator
Failing to load: rubyide_fox_gui-outputpane
Failing to load: rubyide_fox_gui
Failing to load: rubyide_tools_fox_source_browser
Failing to load: rubyide_tools_fox_script_runner
Failing to load: rubyide_tools_fox_file_browser
Failing to load: rubyide_tools_fox_databus_inspector
Failing to load: rubyide_tools_fox_configurator
Failing to load: rubyide_tools_fox_debugger
Failing to load: rubyide_tools_configurator
Failing to load: rubyide_tools_fox_configurator
Failing to load: rubyide_fox_gui-statusbar
Failing to load: rubyide_fox_gui
Failing to load: rubyide_tools_fox_source_browser
Failing to load: rubyide_tools_fox_script_runner
Failing to load: rubyide_tools_fox_file_browser
Failing to load: rubyide_tools_fox_databus_inspector
Failing to load: rubyide_tools_fox_configurator
Failing to load: rubyide_tools_fox_debugger
Failing to load: rubyide_tools_configurator
Failing to load: rubyide_tools_fox_configurator
Failing to load: rubyide_fox_gui-dockpane
Failing to load: rubyide_fox_gui
Failing to load: rubyide_tools_fox_source_browser
Failing to load: rubyide_tools_fox_script_runner
Failing to load: rubyide_tools_fox_file_browser
Failing to load: rubyide_tools_fox_databus_inspector
Failing to load: rubyide_tools_fox_configurator
Failing to load: rubyide_tools_fox_debugger
Failing to load: rubyide_tools_configurator
Failing to load: rubyide_tools_fox_configurator
Failing to load: rubyide_fox_gui
Failing to load: rubyide_tools_fox_source_browser
Failing to load: rubyide_tools_fox_script_runner
Failing to load: rubyide_tools_fox_file_browser
Failing to load: rubyide_tools_fox_databus_inspector
Failing to load: rubyide_tools_fox_configurator
Failing to load: rubyide_tools_fox_debugger
Failing to load: rubyide_tools_configurator
Failing to load: rubyide_tools_fox_configurator
Failing to load: rubyide_fox_gui-menupane
Failing to load: rubyide_fox_gui
Failing to load: rubyide_tools_fox_source_browser
Failing to load: rubyide_tools_fox_script_runner
Failing to load: rubyide_tools_fox_file_browser
Failing to load: rubyide_tools_fox_databus_inspector
Failing to load: rubyide_tools_fox_configurator
Failing to load: rubyide_tools_fox_debugger
Failing to load: rubyide_tools_configurator
Failing to load: rubyide_tools_fox_configurator
Failing to load: rubyide_fox_gui-dockbar
Failing to load: rubyide_fox_gui
Failing to load: rubyide_tools_fox_source_browser
Failing to load: rubyide_tools_fox_script_runner
Failing to load: rubyide_tools_fox_file_browser
Failing to load: rubyide_tools_fox_databus_inspector
Failing to load: rubyide_tools_fox_configurator
Failing to load: rubyide_tools_fox_debugger
Failing to load: rubyide_tools_configurator
Failing to load: rubyide_tools_fox_configurator
Failing to start: rubyide_fox_gui-appframe
Failing to start: rubyide_fox_gui-fox_services
Failing to start: rubyide_fox_gui-editpane
Failing to start: rubyide_fox_gui
Failing to start: rubyide_tools_fox_source_browser
Failing to start: rubyide_tools_fox_script_runner
Failing to start: rubyide_tools_fox_file_browser
Failing to start: rubyide_tools_fox_databus_inspector
Failing to start: rubyide_tools_fox_configurator
Failing to start: rubyide_tools_fox_debugger
Failing to start: rubyide_tools_configurator
Failing to start: rubyide_fox_gui
Failing to start: rubyide_tools_fox_source_browser
Failing to start: rubyide_tools_fox_script_runner
Failing to start: rubyide_tools_fox_file_browser
Failing to start: rubyide_tools_fox_databus_inspector
Failing to start: rubyide_tools_fox_configurator
Failing to start: rubyide_tools_fox_debugger
Failing to start: rubyide_tools_configurator
Failing to start: rubyide_fox_gui-toolbar
Failing to start: rubyide_fox_gui
Failing to start: rubyide_tools_fox_source_browser
Failing to start: rubyide_tools_fox_script_runner
Failing to start: rubyide_tools_fox_file_browser
Failing to start: rubyide_tools_fox_databus_inspector
Failing to start: rubyide_tools_fox_configurator
Failing to start: rubyide_tools_fox_debugger
Failing to start: rubyide_tools_configurator
Failing to start: rubyide_fox_gui-menubar
Failing to start: rubyide_fox_gui
Failing to start: rubyide_tools_fox_source_browser
Failing to start: rubyide_tools_fox_script_runner
Failing to start: rubyide_tools_fox_file_browser
Failing to start: rubyide_tools_fox_databus_inspector
Failing to start: rubyide_tools_fox_configurator
Failing to start: rubyide_tools_fox_debugger
Failing to start: rubyide_tools_configurator
Failing to start: rubyide_fox_gui-editpane
Failing to start: rubyide_fox_gui
Failing to start: rubyide_tools_fox_source_browser
Failing to start: rubyide_tools_fox_script_runner
Failing to start: rubyide_tools_fox_file_browser
Failing to start: rubyide_tools_fox_databus_inspector
Failing to start: rubyide_tools_fox_configurator
Failing to start: rubyide_tools_fox_debugger
Failing to start: rubyide_tools_configurator
Failing to start: rubyide_fox_gui-outputpane
Failing to start: rubyide_fox_gui
Failing to start: rubyide_tools_fox_source_browser
Failing to start: rubyide_tools_fox_script_runner
Failing to start: rubyide_tools_fox_file_browser
Failing to start: rubyide_tools_fox_databus_inspector
Failing to start: rubyide_tools_fox_configurator
Failing to start: rubyide_tools_fox_debugger
Failing to start: rubyide_tools_configurator
Failing to start: rubyide_fox_gui-statusbar
Failing to start: rubyide_fox_gui
Failing to start: rubyide_tools_fox_source_browser
Failing to start: rubyide_tools_fox_script_runner
Failing to start: rubyide_tools_fox_file_browser
Failing to start: rubyide_tools_fox_databus_inspector
Failing to start: rubyide_tools_fox_configurator
Failing to start: rubyide_tools_fox_debugger
Failing to start: rubyide_tools_configurator
Failing to start: rubyide_fox_gui-dockpane
Failing to start: rubyide_fox_gui-outputpane
Failing to start: rubyide_fox_gui
Failing to start: rubyide_tools_fox_source_browser
Failing to start: rubyide_tools_fox_script_runner
Failing to start: rubyide_tools_fox_file_browser
Failing to start: rubyide_tools_fox_databus_inspector
Failing to start: rubyide_tools_fox_configurator
Failing to start: rubyide_tools_fox_debugger
Failing to start: rubyide_tools_configurator
Failing to start: rubyide_fox_gui
Failing to start: rubyide_tools_fox_source_browser
Failing to start: rubyide_tools_fox_script_runner
Failing to>Exit code: -1===================================

Thanks for your help.
Ronald

 
Reply With Quote
 
 
 
Reply

Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
[ANN] FreeRIDE 0.6.0-1 -- a Windows Update Curt Hibbs Ruby 3 05-13-2004 06:37 AM
FreeRIDE project moved to RubyForge Laurent Julliard Ruby 2 12-23-2003 07:22 PM
Mirror for FreeRIDE? Jonathan Edwards Ruby 2 12-13-2003 10:18 PM
[ANN] FreeRIDE 0.6.0 Final Released! Curt Hibbs Ruby 7 11-17-2003 03:24 AM
how to access FreeRide sources? me Ruby 0 09-05-2003 03:36 PM



Advertisments